summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Cristiano Urban <cristiano.urban.slack@gmail.com>2016-08-27 23:03:04 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:59 +0100
commit9e8ed012bee4e7d7eed64f2a249d09831a09dc65 (patch)
tree2c63093bfe44319b630bcaff34a633b188c342ab /network
parentac7f82088dec9d08373887fc5faebf31ec219ec1 (diff)
downloadslackbuilds-9e8ed012bee4e7d7eed64f2a249d09831a09dc65.tar.gz
slackbuilds-9e8ed012bee4e7d7eed64f2a249d09831a09dc65.tar.xz
network/PAC: Added (Perl Auto Connector).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/PAC/PAC.SlackBuild115
-rw-r--r--network/PAC/PAC.info11
-rw-r--r--network/PAC/README3
-rw-r--r--network/PAC/doinst.sh3
-rw-r--r--network/PAC/slack-desc19
5 files changed, 151 insertions, 0 deletions
diff --git a/network/PAC/PAC.SlackBuild b/network/PAC/PAC.SlackBuild
new file mode 100644
index 0000000000..36d2c298ad
--- /dev/null
+++ b/network/PAC/PAC.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for PAC (Perl Auto Connector)
+
+# Copyright (c) 2016 Cristiano Urban, Gonars, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=PAC
+VERSION=${VERSION:-4.5.5.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | tr '[:upper:]' '[:lower:]')"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM-$VERSION-all.tar.gz
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM/
+mkdir -p $PKG/usr/bin/
+mkdir -p $PKG/usr/man/man1/
+mkdir -p $PKG/usr/share/applications/
+mkdir -p $PKG/usr/share/pixmaps/
+
+cp -r lib res utils $PKG/opt/$PRGNAM/
+cp $SRCNAM $PKG/opt/$PRGNAM/
+cp res/$SRCNAM.desktop $PKG/usr/share/applications/
+cp res/${SRCNAM}64x64.png $PKG/usr/share/pixmaps/$SRCNAM.png
+cp $PKG/opt/$PRGNAM/res/$SRCNAM.1 $PKG/usr/man/man1/
+
+ln -s /opt/$PRGNAM/$SRCNAM $PKG/usr/bin/$SRCNAM
+
+if [ "$ARCH" = "x86_64" ]; then
+ ln -sf /usr/lib${LIBDIRSUFFIX}/perl5/vendor_perl/auto/Gnome2/Vte/Vte.so \
+ $PKG/opt/$PRGNAM/lib/ex/vte${LIBDIRSUFFIX}/auto/Gnome2/Vte/Vte.so
+else
+ ln -sf /usr/lib${LIBDIRSUFFIX}/perl5/vendor_perl/auto/Gnome2/Vte/Vte.so \
+ $PKG/opt/$PRGNAM/lib/ex/vte32/auto/Gnome2/Vte/Vte.so
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/PAC/PAC.info b/network/PAC/PAC.info
new file mode 100644
index 0000000000..ef8ea08c43
--- /dev/null
+++ b/network/PAC/PAC.info
@@ -0,0 +1,11 @@
+PRGNAM="PAC"
+VERSION="4.5.5.7"
+HOMEPAGE="https://sites.google.com/site/davidtv/"
+DOWNLOAD="https://sourceforge.net/projects/pacmanager/files/pac-4.0/pac-4.5.5.7-all.tar.gz"
+MD5SUM="2e27507401adc2d7d9a7631d79a7a45f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="Gtk2-GladeXML perl-Crypt-Blowfish perl-Crypt-CBC perl-Crypt-Rijndael perl-Expect perl-gnome2-gconf perl-Gnome2-Vte perl-Gtk2-Ex-Simple-List
+perl-Gtk2-Unique perl-IO-Stty perl-Net-ARP perl-Socket6 perl-yaml uuid"
+MAINTAINER="Cristiano Urban"
+EMAIL="cristiano.urban.slack@gmail.com"
diff --git a/network/PAC/README b/network/PAC/README
new file mode 100644
index 0000000000..0ca01b21c6
--- /dev/null
+++ b/network/PAC/README
@@ -0,0 +1,3 @@
+PAC is a Perl/GTK Gnome replacement for SecureCRT/Putty/etc...
+It provides a GUI to configure SSH/Telnet connections: users,
+passwords, EXPECT regular expressions, macros, etc.
diff --git a/network/PAC/doinst.sh b/network/PAC/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/PAC/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/PAC/slack-desc b/network/PAC/slack-desc
new file mode 100644
index 0000000000..8697d92ca9
--- /dev/null
+++ b/network/PAC/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+PAC: PAC (Perl Auto Connector)
+PAC:
+PAC: PAC is a Perl/GTK Gnome replacement for SecureCRT/Putty/etc...
+PAC: It provides a GUI to configure SSH/Telnet connections: users,
+PAC: passwords, EXPECT regular expressions, macros, etc.
+PAC:
+PAC: Homepage: https://sites.google.com/site/davidtv/
+PAC:
+PAC:
+PAC:
+PAC: